Subject: Re: bug#11397: 24.1.50; permanent-local after-change-functions + read-passwd == unusable minibuffer

From: Mike Lamb <[email-masked]>
Date: Wed, 2 May 2012 19:48:04 -0400

I have the same issue and it looks like like the same as #11392.

I can report it the next time it happens to me but is there anything I
can do ahead of time to make the report content more helpful?

On Wed, May 2, 2012 at 5:21 PM, Steve Yegge <[email-masked]> wrote:
> Place the following code in a file, e.g. /tmp/hork-emacs.el:
>
> ;; begin code to place in file:
> (defun my-after-change-function (&rest ignored)
>  "Sample no-op after-change function.")
>
> (put 'my-after-change-function 'permanent-local-hook t)
>
> (defun hork-my-minibuffer ()
>  (interactive)
>  (add-hook 'after-change-functions 'my-after-change-function)
>  (read-passwd "Enter some text: ")
>  (message "Your minibuffer should now be horked"))
> ;; end code to place in file
>
> Run emacs -q -l /tmp/hork-emacs.el
> Execute M-x hork-my-minibuffer RET <any text> RET
>
> Afterwards, all minibuffer input will be rendered as '.'
> characters, as if it were still reading a password.
>
> This does not happen in Emacs 23.
>
> Also note that the bug does not manifest if you simply
> evaluate the code above.  It must be loaded from a file,
> at least as far as I can tell (though I do not know why.)
>
> One possible fix might be to have `read-passwd' remove
> its lambda from `after-change-functions' in the unwind forms.
>
>
>
> In GNU Emacs 24.1.50.2 (x86_64-unknown-linux-gnu, GTK+ Version 2.20.1)
>  of 2012-04-16 on stevey.kir.corp.google.com
> Windowing system distributor `The X.Org Foundation', version 11.0.60900000
> Important settings:
>  value of $LC_ALL: nil
>  value of $LC_COLLATE: nil
>  value of $LC_CTYPE: nil
>  value of $LC_MESSAGES: nil
>  value of $LC_MONETARY: nil
>  value of $LC_NUMERIC: nil
>  value of $LC_TIME: nil
>  value of $LANG: en_US.UTF-8
>  value of $XMODIFIERS: nil
>  locale-coding-system: utf-8-unix
>  default enable-multibyte-characters: t
>
> Major mode: Fundamental
>
> Minor modes in effect:
>  tooltip-mode: t
>  mouse-wheel-mode: t
>  tool-bar-mode: t
>  menu-bar-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  blink-cursor-mode: t
>  auto-composition-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  line-number-mode: t
>  transient-mark-mode: t
>
> Recent input:
> <help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
> <help-echo> <help-echo> <help-echo> <help-echo> M-x
> r e p o r t - e m <tab> <return>
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
> easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
> mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
> mm-util mail-prsvr mail-utils time-date tooltip ediff-hook vc-hooks
> lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
> fringe lisp-mode register page menu-bar rfn-eshadow timer select
> scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
> georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
> korean japanese hebrew greek romanian slovak czech european ethiopic
> indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
> abbrev minibuffer loaddefs button faces cus-face files text-properties
> overlay sha1 md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process dbusbind
> dynamic-setting font-render-setting move-toolbar gtk x-toolkit x
> multi-tty emacs)
>
>
>